
Redmine - Defect #16231

Double email notification

2014-03-05 10:33 - Johan Guilbaud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.4.2

Description

When editing a field AND adding a private note 2 email notifications are sent instead of one

History

#1 - 2014-03-05 19:19 - Alain Alain091

Could you describe more precisely what kind of field you are editing ?

#2 - 2014-03-10 16:47 - Johan Guilbaud

i can reproduce bug with editing native field "Priority" and adding private note at same time

#3 - 2014-03-26 10:06 - Johan Guilbaud

no response ?

#4 - 2014-03-31 18:28 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Is this issue fixed by #16415 ?

#5 - 2014-04-08 11:32 - Johan Guilbaud

No, issue is not fixed by #16415

problem occurs only if note added is private !

with public note there's only one mail notification

#6 - 2014-04-08 12:59 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#7 - 2014-04-08 15:47 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Are you just adding a private note? Or do you also update an attribute of the issue?

Could you post the generated emails?

#8 - 2014-04-08 15:50 - Johan Guilbaud

as i said in the issue description, i also update an attribute of the issue

i got a mail for the new private note and another mail for the updated attribute

#9 - 2021-07-24 03:55 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Please reopen this issue if you still experience the problem with the latest version of Redmine.

#10 - 2021-09-30 17:15 - Paolo Borri
https://www.redmine.org/issues/16415
https://www.redmine.org/issues/16415


still present in 4.2.1.stable

If you put private note two mail are send, on with note other with all other things.
